Subject: [DNSOP] Big changes in draft-ietf-dnsop-terminology-bis

From: "Paul Hoffman" <[email-masked]>
Date: Fri, 27 Jan 2017 10:12:30 -0800

The authors have tentatively made some substantial changes to the draft, 
to define "domain name", "global DNS", and "private DNS" in a manner 
that can be used by other work in the IETF, particularly around RFC 
6761. Our first cut of definitions are in the new draft, but we fully 
expect significant discussion in the WG before there is even rough 
consensus. We are not even sure that the WG will agree with the idea of 
adding "global DNS" and "private DNS" to the document. The authors are 
not even sure they agree with all of this.

At the same time, we think that it would be easier to track open issues 
in our GitHub repo at 
https://github.com/DNSOP/draft-ietf-dnsop-terminology-bis rather than in 
the document as comments. To be clear, the discussion of how issues are 
to be resolved should be mostly done on the mailing list, but using 
GitHub to track issues might give easier-to-follow history of the 
discussions. We also are open to using GitHub for pull requests for 
specific changes to the document.

As a final note, this version of the draft also has some changes not 
related to the above, and we encourage review of those changes, plus 
anything else in the draft, of course.

--Paul Hoffman

On 27 Jan 2017, at 10:08, [email-masked] wrote:

> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
> This draft is a work item of the Domain Name System Operations of the 
> IETF.
>
>         Title           : DNS Terminology
>         Authors         : Paul Hoffman
>                           Andrew Sullivan
>                           Kazunori Fujiwara
> 	Filename        : draft-ietf-dnsop-terminology-bis-04.txt
> 	Pages           : 34
> 	Date            : 2017-01-27
>
> Abstract:
>    The DNS is defined in literally dozens of different RFCs.  The
>    terminology used by implementers and developers of DNS protocols, 
> and
>    by operators of DNS systems, has sometimes changed in the decades
>    since the DNS was first defined.  This document gives current
>    definitions for many of the terms used in the DNS in a single
>    document.
>
>    This document will be the successor to RFC 7719.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-dnsop-terminology-bis/
>
> There's also a htmlized version available at:
> https://tools.ietf.org/html/draft-ietf-dnsop-terminology-bis-04
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-dnsop-terminology-bis-04

---

From: Tim Wicinski <[email-masked]>
Date: Fri, 27 Jan 2017 15:23:43 -0500

I spoke with Paul about this and I agree that a mechanism that focuses 
the discussion on individual definitions should make it easier to either 
reach consensus, or to quickly realize there is no consensus.

tim

On 1/27/17 1:12 PM, Paul Hoffman wrote:
>>    terminology used by implementers and developers of DNS protocols, and
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop

---

From: Ralph Droms <[email-masked]>
Date: Sat, 28 Jan 2017 15:28:25 -0500

I've submitted three issues to the doc repo:

Issue #8: https://github.com/DNSOP/draft-ietf-dnsop-terminology-bis/issues/8 <https://github.com/DNSOP/draft-ietf-dnsop-terminology-bis/issues/8>

Add "context" as a facet in the definition of a naming system.  A naming system needs a context in which to perform resolution of a name.  As an example, "locally served DNS zones" (see Issue #10) use the DNS resolution mechanism through a local context rather than through the global root.

Issue #9: https://github.com/DNSOP/draft-ietf-dnsop-terminology-bis/issues/9 <https://github.com/DNSOP/draft-ietf-dnsop-terminology-bis/issues/9>

In the definition of "global DNS", add a description of the context to be used for the resolution of names under "global DNS"

Issue #10: https://github.com/DNSOP/draft-ietf-dnsop-terminology-bis/issues/10 <https://github.com/DNSOP/draft-ietf-dnsop-terminology-bis/issues/10>

Add a new definition for "locally served DNS names", as defined in RFC 6303.  This definition is likely to be useful in the specification of the home network DNS context, which is currently a work item for the homenet WG.

- Ralph

> On Jan 27, 2017, at 1:12 PM, Paul Hoffman <[email-masked]> wrote:
> 
> The authors have tentatively made some substantial changes to the draft, to define "domain name", "global DNS", and "private DNS" in a manner that can be used by other work in the IETF, particularly around RFC 6761. Our first cut of definitions are in the new draft, but we fully expect significant discussion in the WG before there is even rough consensus. We are not even sure that the WG will agree with the idea of adding "global DNS" and "private DNS" to the document. The authors are not even sure they agree with all of this.
> 
> At the same time, we think that it would be easier to track open issues in our GitHub repo at https://github.com/DNSOP/draft-ietf-dnsop-terminology-bis rather than in the document as comments. To be clear, the discussion of how issues are to be resolved should be mostly done on the mailing list, but using GitHub to track issues might give easier-to-follow history of the discussions. We also are open to using GitHub for pull requests for specific changes to the document.
> 
> As a final note, this version of the draft also has some changes not related to the above, and we encourage review of those changes, plus anything else in the draft, of course.
> 
> --Paul Hoffman
> 
>> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>> This draft is a work item of the Domain Name System Operations of the IETF.
>> 
>>        Title           : DNS Terminology
>>        Authors         : Paul Hoffman
>>                          Andrew Sullivan
>>                          Kazunori Fujiwara

---

From: Bob Harold <[email-masked]>
Date: Mon, 30 Jan 2017 13:15:57 -0500

On Fri, Jan 27, 2017 at 1:12 PM, Paul Hoffman <[email-masked]> wrote:

> to define "domain name", "global DNS", and "private DNS" in a manner that
> can be used by other work in the IETF, particularly around RFC 6761. Our
> first cut of definitions are in the new draft, but we fully expect
> significant discussion in the WG before there is even rough consensus. We
> are not even sure that the WG will agree with the idea of adding "global
> DNS" and "private DNS" to the document. The authors are not even sure they
> agree with all of this.
>
> At the same time, we think that it would be easier to track open issues in
> our GitHub repo at https://github.com/DNSOP/draft
> -ietf-dnsop-terminology-bis rather than in the document as comments. To
> be clear, the discussion of how issues are to be resolved should be mostly
> done on the mailing list, but using GitHub to track issues might give
> easier-to-follow history of the discussions. We also are open to using
> GitHub for pull requests for specific changes to the document.
>
>  2. Names
Global DNS:
Administration of names --
I think we need to add IETF to this section as an administrator.

-- 
Bob Harold

---

From: "Paul Hoffman" <[email-masked]>
Date: Mon, 30 Jan 2017 17:08:26 -0800

> I think we need to add IETF to this section as an administrator.

Could you please say more, maybe with actual text? I can see a few 
different ways to interpret the words above.

--Paul Hoffman